net.minecraftforge.client

## Interface IItemRenderer

-     public interface IItemRenderer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IItemRenderer.ItemRendererHelper`
    `static class` | `IItemRenderer.ItemRenderType`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handleRenderType(ItemStack item, IItemRenderer.ItemRenderType type)` Checks if this renderer should handle a specific item's render type
    `void` | `renderItem(IItemRenderer.ItemRenderType type, ItemStack item, java.lang.Object... data)` Called to do the actual rendering, see ItemRenderType for details on when specific types are run, and what extra data is passed into the data parameter.
    `boolean` | `shouldUseRenderHelper(IItemRenderer.ItemRenderType type, ItemStack item, IItemRenderer.ItemRendererHelper helper)` Checks if certain helper functionality should be executed for this renderer.

- - ### Method Detail

    - #### handleRenderType

          boolean handleRenderType(ItemStack item,
                                 IItemRenderer.ItemRenderType type)

      Checks if this renderer should handle a specific item's render type
      Parameters:
        `item` - The item we are trying to render
        `type` - A render type to check if this renderer handles
      Returns:
        true if this renderer should handle the given render type, otherwise false

    - #### shouldUseRenderHelper

          boolean shouldUseRenderHelper(IItemRenderer.ItemRenderType type,
                                      ItemStack item,
                                      IItemRenderer.ItemRendererHelper helper)

      Checks if certain helper functionality should be executed for this renderer. See ItemRendererHelper for more info
      Parameters:
        `type` - The render type
        `item` - The ItemStack being rendered
        `helper` - The type of helper functionality to be ran
      Returns:
        True to run the helper functionality, false to not.

    - #### renderItem

          void renderItem(IItemRenderer.ItemRenderType type,
                        ItemStack item,
                        java.lang.Object... data)

      Called to do the actual rendering, see ItemRenderType for details on when specific types are run, and what extra data is passed into the data parameter.
      Parameters:
        `type` - The render type
        `item` - The ItemStack being rendered
        `data` - Extra Type specific data